Glib::Value_Flags< T > Class Template Reference
Generic Values

Base class of Glib::Value<T> specializations for flags types. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value_Flags< T >:
[legend]

## Public Types

typedef T | CppType
Public Types inherited from Glib::ValueBase_Flags
typedef guint | CType

## Public Member Functions

void | set (CppType data)
CppType | get () const

## Additional Inherited Members

Static Public Member Functions inherited from Glib::ValueBase_Flags
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_Flags
void | set_flags (unsigned int data)
unsigned int | get_flags () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<class T>
class Glib::Value_Flags< T >

Base class of Glib::Value<T> specializations for flags types.

## Member Typedef Documentation

template <class T >

typedef T Glib::Value_Flags< T >::CppType

## Member Function Documentation

template <class T >

CppType Glib::Value_Flags< T >::get | ( |  | ) | const

inline

template <class T >

void Glib::Value_Flags< T >::set | ( | CppType | data | ) |

inline